### Constructor

# Dex Future new_for_pointer

#### Declaration [src]

    DexFuture*
    dex_future_new_for_pointer (
      gpointer pointer
    )

#### Description [src]

Creates a new `DexFuture` that is resolved with `pointer` as a `G_TYPE_POINTER`.

#### Parameters

`pointer`

  Type: `gpointer`

  The resolved future value as a pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.